Page MenuHomePhabricator

Efl.Ui.Tree_View: added new MVVM asynchronous widget
AbandonedPublic

Authored by lauromoura on Nov 6 2018, 12:17 PM.

Details

Summary

new classes added:

Efl.Ui.Tree_View
Efl.Ui.Tree_View_Layouter
Efl.Ui.Tree_View_Segarray
Efl.Ui.Tree_Factory

added view_tree_example_1 in elementary example

Diff Detail

Repository
rEFL core/efl
Branch
viewtree
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 8475
Build 7614: arc lint + arc unit
larryolj created this revision.Nov 6 2018, 12:17 PM
larryolj requested review of this revision.Nov 6 2018, 12:17 PM
lauromoura added inline comments.
data/elementary/themes/edc/efl/list.edc
25

Remove these commented lines?

src/examples/elementary.mk
127

Typo, missing leading 'e'?

src/lib/elementary/efl_ui_tree_factory.c
122

Wouldn't eina_hash_set return an Efl_Ui_Factory* (the "value" of the hash), requiring efl_del/efl_unref instead of stringshare_del?

larryolj updated this revision to Diff 17278.Nov 7 2018, 4:00 AM

Lauro Moura comments fixed:
removed itemcover of list.edc
efl_del instead of eina_stringshare
Typo, missing leading 'e' in example/elementary.mk

larryolj marked 3 inline comments as done.Nov 7 2018, 4:06 AM
larryolj updated this revision to Diff 17280.Nov 7 2018, 11:33 AM

fixed stringshare leak

cedric requested changes to this revision.Nov 14 2018, 3:37 PM

Please get rid of seg_array. This is not something that make sense in term of public API at all. Don't forget that Eo object are public API meant to be used by bindings and others developers outside of EFL tree.

src/lib/elementary/efl_ui_tree_view_seg_array.eo
4

Why is this an Eo object at all ? This seems to much for what it does. I was not a fan of its existence in the View List object, but this is getting worse. Instead of having a generic object that is part of our API we now have two custom object class that don't seems to have any usefulness outside of the object that use them directly.

Please get rid of it, or merge it with the one from View List, or make it and the View List one a private object, but it should not stay public the way it is.

This revision now requires changes to proceed.Nov 14 2018, 3:37 PM
larryolj updated this revision to Diff 17979.Dec 19 2018, 9:51 AM

update Tree_View to new asynchronous factory API
better life cycle management

bu5hm4n requested changes to this revision.Mar 20 2019, 9:06 AM
bu5hm4n added a subscriber: bu5hm4n.

Segarray is still in the API so cedrics wish was not fullfilled.

This revision now requires changes to proceed.Mar 20 2019, 9:06 AM
lauromoura commandeered this revision.Sep 9 2019, 12:25 PM
lauromoura abandoned this revision.
lauromoura added a reviewer: larryolj.

Abandoning as this patch may need a lot of work just to rebase after all MVVM changes since last update.